#!/bin/bash -x
if ! [ -e /tmp/rndcache ]; then mkdir /tmp/rndcache; fi
find /tmp/rndcache -mtime +2 | while read a; do rm $a; done;

cache=/tmp/rndcache/`echo $@ | md5sum | cut -d ' ' -f 1`
bakshare="`echo $@ | cut -d '/' -f 1-4`"
path="`echo $@ | cut -d '/' -f 5-`"
if [ ! -e $cache ]; then
    echo '********************************'
    echo 'Rebuilding cache, please wait...'
    echo '********************************'
    smbmount "$bakshare" /mnt -o guest,username=assdghsdfks
    cd /mnt
    find "$path" -iname '*.avi' -o -iname '*.mpg' -o -iname '*.mkv' -o -iname '*.mpeg' -o -iname '*.asf' > $cache
    cd /
    umount /mnt
fi
file="`cat $cache | bogosort -n | head -n 1`"
scripts/do_mplayer.sh "smb:$bakshare/$file"
